gstreamermm: Gst::AudioTestSrc Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::AudioTestSrc Class Reference
gstreamermm Plugins

A Wrapper for the audiotestsrc plugin. More...

Inheritance diagram for Gst::AudioTestSrc:
[legend]
Collaboration diagram for Gst::AudioTestSrc:
[legend]

List of all members.

## Public Member Functions
virtual | ~AudioTestSrc ()
GstAudioTestSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstAudioTestSrc* | gobj () const
| Provides access to the underlying C GObject.
GstAudioTestSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< int > | property_samplesperbuffer ()
| Number of samples in each outgoing buffer.
Glib::PropertyProxy_ReadOnly< int > | property_samplesperbuffer () const
| Number of samples in each outgoing buffer.
Glib::PropertyProxy < Gst::AudioTestSrcWave > | property_wave ()
| Oscillator waveform.
Glib::PropertyProxy_ReadOnly < Gst::AudioTestSrcWave > | property_wave () const
| Oscillator waveform.
Glib::PropertyProxy< double > | property_freq ()
| Frequency of test signal.
Glib::PropertyProxy_ReadOnly < double > | property_freq () const
| Frequency of test signal.
Glib::PropertyProxy< double > | property_volume ()
| Volume of test signal.
Glib::PropertyProxy_ReadOnly < double > | property_volume () const
| Volume of test signal.
Glib::PropertyProxy< bool > | property_is_live ()
| Whether to act as a live source.
Glib::PropertyProxy_ReadOnly < bool > | property_is_live () const
| Whether to act as a live source.
Glib::PropertyProxy< gint64 > | property_timestamp_offset ()
| An offset added to timestamps set on buffers (in ns).
Glib::PropertyProxy_ReadOnly < gint64 > | property_timestamp_offset () const
| An offset added to timestamps set on buffers (in ns).
Glib::PropertyProxy< bool > | property_can_activate_push ()
| Can activate in push mode.
Glib::PropertyProxy_ReadOnly < bool > | property_can_activate_push () const
| Can activate in push mode.
Glib::PropertyProxy< bool > | property_can_activate_pull ()
| Can activate in pull mode.
Glib::PropertyProxy_ReadOnly < bool > | property_can_activate_pull () const
| Can activate in pull mode.
## Static Public Member Functions
static Glib::RefPtr< AudioTestSrc > | create ()
| Creates a new audiotestsrc plugin with a unique name.
static Glib::RefPtr< AudioTestSrc > | create (const Glib::ustring& name)
| Creates a new audiotestsrc plugin with the given name.
## Protected Member Functions
| AudioTestSrc ()
| AudioTestSrc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::AudioTestSrc > | wrap (GstAudioTestSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the audiotestsrc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::AudioTestSrc::~AudioTestSrc | ( |  | ) | `[virtual]`

Gst::AudioTestSrc::AudioTestSrc | ( |  | ) | `[protected]`

Gst::AudioTestSrc::AudioTestSrc | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<AudioTestSrc> Gst::AudioTestSrc::create | ( |  | ) | `[static]`

Creates a new audiotestsrc plugin with a unique name.

static Glib::RefPtr<AudioTestSrc> Gst::AudioTestSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new audiotestsrc plugin with the given name.

GstAudioTestSrc* Gst::AudioTestSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

const GstAudioTestSrc* Gst::AudioTestSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

GstAudioTestSrc* Gst::AudioTestSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSrc.

Glib::PropertyProxy< bool > Gst::AudioTestSrc::property_can_activate_pull | ( |  | ) |

Can activate in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::AudioTestSrc::property_can_activate_pull | ( |  | ) | const

Can activate in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::AudioTestSrc::property_can_activate_push | ( |  | ) |

Can activate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::AudioTestSrc::property_can_activate_push | ( |  | ) | const

Can activate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::AudioTestSrc::property_freq | ( |  | ) |

Frequency of test signal.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::AudioTestSrc::property_freq | ( |  | ) | const

Frequency of test signal.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::AudioTestSrc::property_is_live | ( |  | ) |

Whether to act as a live source.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::AudioTestSrc::property_is_live | ( |  | ) | const

Whether to act as a live source.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::AudioTestSrc::property_samplesperbuffer | ( |  | ) |

Number of samples in each outgoing buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::AudioTestSrc::property_samplesperbuffer | ( |  | ) | const

Number of samples in each outgoing buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< gint64 > Gst::AudioTestSrc::property_timestamp_offset | ( |  | ) |

An offset added to timestamps set on buffers (in ns).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< gint64 > Gst::AudioTestSrc::property_timestamp_offset | ( |  | ) | const

An offset added to timestamps set on buffers (in ns).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::AudioTestSrc::property_volume | ( |  | ) |

Volume of test signal.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::AudioTestSrc::property_volume | ( |  | ) | const

Volume of test signal.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::AudioTestSrcWave > Gst::AudioTestSrc::property_wave | ( |  | ) |

Oscillator waveform.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::AudioTestSrcWave > Gst::AudioTestSrc::property_wave | ( |  | ) | const

Oscillator waveform.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::AudioTestSrc > wrap | ( | GstAudioTestSrc * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/audiotestsrc.h